Skip to main content
`Ctrl`+`K`

# BaseData

class astropy.io.ascii.BaseData

  Bases: `object`

  Base table data reader.

  Attributes Summary

  `comment` | Regular expression for comment lines
  `end_line` | None, int, or a function of `lines` that returns None or int
  `fill_exclude_names` |
  `fill_include_names` |
  `fill_values` |
  `formats` |
  `start_line` | None, int, or a function of `lines` that returns None or int
  `write_spacer_lines` |

  Methods Summary

  `get_data_lines`(lines) | READ: Set `data_lines` attribute to lines slice comprising table data values.
  `get_str_vals`() | Return a generator that returns a list of column values (as strings) for each data line.
  `masks`(cols) | READ: Set fill value for each column and then apply that fill value.
  `process_lines`(lines) | READ: Strip out comment lines and blank lines from list of `lines`.
  `str_vals`() | WRITE: convert all values in table to a list of lists of strings.
  `write`(lines) | Write `self.cols` in place to `lines`.

  Attributes Documentation

  comment = None

    Regular expression for comment lines

  end_line = None

    None, int, or a function of `lines` that returns None or int

  fill_exclude_names = None
  fill_include_names = None
  fill_values = [(<astropy.io.ascii.core.MaskedConstant object>, '')]
  formats = {}
  start_line = None

    None, int, or a function of `lines` that returns None or int

  write_spacer_lines = ['ASCII_TABLE_WRITE_SPACER_LINE']

  Methods Documentation

  get_data_lines(lines)

    READ: Set `data_lines` attribute to lines slice comprising table data values.

  get_str_vals()

    Return a generator that returns a list of column values (as strings) for each data line.

  masks(cols)

    READ: Set fill value for each column and then apply that fill value.

    In the first step it is evaluated with value from `fill_values` applies to which column using `fill_include_names` and `fill_exclude_names`. In the second step all replacements are done for the appropriate columns.

  process_lines(lines)

    READ: Strip out comment lines and blank lines from list of `lines`.

    Parameters:
      lines `python:list`

        All lines in table

    Returns:
      lines `python:list`

        List of lines

  str_vals()

    WRITE: convert all values in table to a list of lists of strings.

    This sets the fill values and possibly column formats from the input formats={} keyword, then ends up calling table.pprint._pformat_col_iter() by a circuitous path. That function does the real work of formatting. Finally replace anything matching the fill_values.

    Returns:
      values `python:list` of `python:list` of `python:str`
  write(lines)

    Write `self.cols` in place to `lines`.

    Parameters:
      lines `python:list`

        List for collecting output of writing self.cols.